Get Cards
curl --request GET \
--url https://sandbox-api.cardcore.cloud/institutions/cards \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"message": "Cards Retrieved Successfully",
"data": [
{
"_id": "69d4dd694818713f69fec11b",
"institution": "68da3e6080b90fbbb96716c9",
"cardProgram": {
"panPermutation": {
"algorithm": "affine"
},
"_id": "68da531880b90fbbb9671b38",
"institution": "68da3e6080b90fbbb96716c9",
"createdBy": "68d56d8080b90fbbb9671426",
"name": "primecard",
"scheme": "Mastercard",
"type": "virtual",
"panPrefix": "0902322423",
"panLength": 12,
"panStart": "090232242300",
"panEnd": "090232242399",
"serviceCode": "601",
"code": "000090",
"maxExpiry": 1,
"renewable": true,
"channels": {
"pos": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
},
"atm": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
},
"web": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
}
},
"isDeleted": false,
"settlementConfig": {
"schedule": "T1",
"config": "off-us"
},
"issuer": 67,
"active": true,
"anonymous": true,
"randomCardNumber": true,
"allowRandomPan": true,
"smart": true,
"allowTips": true,
"startDate": "2025-09-29T00:00:00.000Z",
"endDate": "2125-09-29T00:00:00.000Z",
"webHookConfig": {
"type": "JSON",
"header": "",
"url": "https://webhook.site/ae8066df-cc1a-45e8-9302-1dcc743615b5",
"secret": ""
},
"cardProgramId": 11750,
"cardProgramUpdate": false,
"seqNumber": "121212",
"createdAt": "2025-09-29T09:36:24.363Z",
"updatedAt": "2026-04-23T13:37:48.064Z",
"bankCode": "999241",
"panSequenceCounter": 1,
"id": "68da531880b90fbbb9671b38"
},
"referenceCode": "SUPRPR65228531775557727619",
"scheme": "Mastercard",
"type": "virtual",
"bin": "0902322423",
"expiryMonth": "05",
"expiryYear": 2029,
"pinEnabled": true,
"seqNumber": "001",
"enroll2FA": true,
"status": "active",
"expiryDate": "2029-05-17T00:00:00.000Z",
"account": {
"currency": "NGN",
"type": "00",
"number": "0117964837",
"bankCode": "999241"
},
"customer": {
"uniqueId": "9992410117964837",
"firstName": "Prince",
"middleName": "Kyemuteh",
"lastName": "Muteh",
"emailAddress": "[email protected]",
"phoneNumber": "07030338024",
"dateOfBirth": "1998-03-25T00:00:00.000Z",
"address": {
"line1": "University Of Maiduguri",
"line2": "pop",
"city": "Kwali",
"state": "Abuja Federal Capital Territory",
"country": "Nigeria",
"postalCode": "600211"
}
},
"cardHolderId": "sandbox-cardholder-e2a5bbc7-f201-4ef1-af49-e19383a851b9",
"lastFour": "2384",
"pan": "090232fF2384",
"cvv2": "tok_dev_BxiqEUdTyIdy7kqlPWSTKm",
"icvv": "tok_dev_kIULobJIBIF6FRKTOclZgg",
"serviceCode": "601",
"printCard": false,
"token": "sandbox-token-ccfc8c40-9ae6-4577-b6db-47cf3bee84db",
"cvv": "tok_dev_kf9xEpfzCyHphXYcxiKUnv",
"allowDigitization": true,
"embossingName": "Prince Kyemuteh Muteh",
"twoFAEnrolled": false,
"pinAttempts": 0,
"honorific": "",
"gender": "",
"createdAt": "2026-04-07T10:33:13.188Z",
"updatedAt": "2026-04-07T10:33:13.469Z",
"hash": "7307208218A127E8E928285CAC663D1B56740F1B",
"secureData": "TI/A8/sfDsSxFDeBI4XtipOwBjniDsqmhCPKnKBqVrGr37BIC7MRbjBi7iEtmgTEruZrMoybj8dWegWCnE2ULu7/bkYWZtCKpcDSO2O5KBcuA1wQazAMSjWugCLdNyOo4rxb7KiNgNj8GKtHZU5KIwSsEPbcMjkmUASQoTu78mL3OsjFWFl2Nu0FJWoOnD7VnxnKrnEZcDBOVNwTE0Su5r+cEDz/U8Mf4cKsnMSONPECfpBZu1U1sWuCIouyADd+u87lzdgaexXU08ChKdTVg7VWKqr6XsYbh7i7gZsaAJjNmOzOf37uwu1gamrOIlSamKb7bPHxzc9Gbe+pb0Xw+g==",
"id": "69d4dd694818713f69fec11b"
}
]
}Institution Cards
Get Cards
List cards for the authenticated institution with optional filters.
GET
/
institutions
/
cards
Get Cards
curl --request GET \
--url https://sandbox-api.cardcore.cloud/institutions/cards \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"message": "Cards Retrieved Successfully",
"data": [
{
"_id": "69d4dd694818713f69fec11b",
"institution": "68da3e6080b90fbbb96716c9",
"cardProgram": {
"panPermutation": {
"algorithm": "affine"
},
"_id": "68da531880b90fbbb9671b38",
"institution": "68da3e6080b90fbbb96716c9",
"createdBy": "68d56d8080b90fbbb9671426",
"name": "primecard",
"scheme": "Mastercard",
"type": "virtual",
"panPrefix": "0902322423",
"panLength": 12,
"panStart": "090232242300",
"panEnd": "090232242399",
"serviceCode": "601",
"code": "000090",
"maxExpiry": 1,
"renewable": true,
"channels": {
"pos": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
},
"atm": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
},
"web": {
"enabled": true,
"dailyLimit": {
"count": 5,
"amount": 1000000
}
}
},
"isDeleted": false,
"settlementConfig": {
"schedule": "T1",
"config": "off-us"
},
"issuer": 67,
"active": true,
"anonymous": true,
"randomCardNumber": true,
"allowRandomPan": true,
"smart": true,
"allowTips": true,
"startDate": "2025-09-29T00:00:00.000Z",
"endDate": "2125-09-29T00:00:00.000Z",
"webHookConfig": {
"type": "JSON",
"header": "",
"url": "https://webhook.site/ae8066df-cc1a-45e8-9302-1dcc743615b5",
"secret": ""
},
"cardProgramId": 11750,
"cardProgramUpdate": false,
"seqNumber": "121212",
"createdAt": "2025-09-29T09:36:24.363Z",
"updatedAt": "2026-04-23T13:37:48.064Z",
"bankCode": "999241",
"panSequenceCounter": 1,
"id": "68da531880b90fbbb9671b38"
},
"referenceCode": "SUPRPR65228531775557727619",
"scheme": "Mastercard",
"type": "virtual",
"bin": "0902322423",
"expiryMonth": "05",
"expiryYear": 2029,
"pinEnabled": true,
"seqNumber": "001",
"enroll2FA": true,
"status": "active",
"expiryDate": "2029-05-17T00:00:00.000Z",
"account": {
"currency": "NGN",
"type": "00",
"number": "0117964837",
"bankCode": "999241"
},
"customer": {
"uniqueId": "9992410117964837",
"firstName": "Prince",
"middleName": "Kyemuteh",
"lastName": "Muteh",
"emailAddress": "[email protected]",
"phoneNumber": "07030338024",
"dateOfBirth": "1998-03-25T00:00:00.000Z",
"address": {
"line1": "University Of Maiduguri",
"line2": "pop",
"city": "Kwali",
"state": "Abuja Federal Capital Territory",
"country": "Nigeria",
"postalCode": "600211"
}
},
"cardHolderId": "sandbox-cardholder-e2a5bbc7-f201-4ef1-af49-e19383a851b9",
"lastFour": "2384",
"pan": "090232fF2384",
"cvv2": "tok_dev_BxiqEUdTyIdy7kqlPWSTKm",
"icvv": "tok_dev_kIULobJIBIF6FRKTOclZgg",
"serviceCode": "601",
"printCard": false,
"token": "sandbox-token-ccfc8c40-9ae6-4577-b6db-47cf3bee84db",
"cvv": "tok_dev_kf9xEpfzCyHphXYcxiKUnv",
"allowDigitization": true,
"embossingName": "Prince Kyemuteh Muteh",
"twoFAEnrolled": false,
"pinAttempts": 0,
"honorific": "",
"gender": "",
"createdAt": "2026-04-07T10:33:13.188Z",
"updatedAt": "2026-04-07T10:33:13.469Z",
"hash": "7307208218A127E8E928285CAC663D1B56740F1B",
"secureData": "TI/A8/sfDsSxFDeBI4XtipOwBjniDsqmhCPKnKBqVrGr37BIC7MRbjBi7iEtmgTEruZrMoybj8dWegWCnE2ULu7/bkYWZtCKpcDSO2O5KBcuA1wQazAMSjWugCLdNyOo4rxb7KiNgNj8GKtHZU5KIwSsEPbcMjkmUASQoTu78mL3OsjFWFl2Nu0FJWoOnD7VnxnKrnEZcDBOVNwTE0Su5r+cEDz/U8Mf4cKsnMSONPECfpBZu1U1sWuCIouyADd+u87lzdgaexXU08ChKdTVg7VWKqr6XsYbh7i7gZsaAJjNmOzOf37uwu1gamrOIlSamKb7bPHxzc9Gbe+pb0Xw+g==",
"id": "69d4dd694818713f69fec11b"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search across supported card fields.
Number of records to return per page.
Page number for pagination.
Filter by card identifier.
Response
200 - application/json
Get Cards completed successfully.
The response is of type object.
⌘I